Subject: Re: how do I write a 'service'?
From: [email-masked] (Don Sharp)

28 Jan 1997 01:47:11 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (WinNT; I)
Original-To: Noella Pierlet <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Noella Pierlet wrote:
> 
> Hallo,
> 
> I'm new to this list so don't shoot me if I ask something
> that has been answered a million times before.
> I'm writing a primitive remote shell daemon for Windows NT.
> The problem is: how can I make sure that it runs all the time,
> even when nobody is logged on? I think the answer on that
> question is 'by making it a service'.
> But how do I do that? Any suggestions?
> 
> Noella Pierlet

My advice would be to acquire the Ataman telnetd if it is available for
the OS release you are using. We have been using it for over a year,
on NT 3.51, and it works very well indeed. We just installed it and
forgot about it! It just works with no hassle.

Quoting from their README
======================================================================
The Ataman TCP Remote Logon Services provides an implementation of the
Internet telnet and Berkeley rlogin protocols for Microsoft Windows NT
version 3.1 or newer.

The files telnetd.exe, rlogind.exe, rexecd.exe, startcmd.exe, and
transcmd.exe are the executables that make up the rlogind, telnetd
and rexecd services.

Ataman Software, Inc.
749 S. Lemay, Suite A3-411
Fort Collins, CO  80524

If you have any questions you can contact them at (electronic mail
preferred):
     Internet:   [email-masked]       (or [email-masked])
     CompuServe: 70363,1373               Telephone: (970) 416-9199
                                                FAX: (970) 416-9188
======================================================================

I have no connection with Ataman - just a satisfied user.

Cheers

Don Sharp

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".